Package ru.bitel.bgbilling.kernel.dynamic.common.bean

# Class GeneratorOptions

java.lang.Object
ru.bitel.bgbilling.kernel.dynamic.common.bean.GeneratorOptions

public class GeneratorOptions extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeneratorOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getDefaultImports()`
  Возвращает множество обязательных импортов.
  `Set<String>`
  `getDerivingInterfaceNames()`
  Возвращает множество интерфейсов, методы которых обязательно перегружаются
  `String`
  `getFullClassName()`
  Возвращает полное имя генерируемого класса.
  `Set<String>`
  `getInterfaceNames()`
  Возвращает множество наследуемых интерфейсов
  `String`
  `getPackageName()`
  `String`
  `getRawResourceData()`
  Сырые данные для ресурса (не java-класса).
  `String`
  `getSimpleClassName()`
  `String`
  `getSuperclassName()`
  Возвращает имя наследуемого суперкласса
  `void`
  `setDefaultImports(Set<String> defaultImports)`
  Устанавливает множество обязательных импортов.
  `void`
  `setDerivingInterfaceNames(Set<String> derivingInterfaceNames)`
  Устанавливает множество интерфейсов, методы которых обязательно перегружаются
  `void`
  `setFullClassName(String fullClassName)`
  Устанавливает полное имя генерируемого класса
  `void`
  `setInterfaceNames(Set<String> interfaceNames)`
  Устанавливает множество наследуемых интерфейсов
  `void`
  `setRawResourceData(String rawResourceData)`
  Сырые данные для ресурса (не java-класса).
  `void`
  `setSuperclassName(String superclassName)`
  Устанавливает имя наследуемого суперкласса

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeneratorOptions

    public GeneratorOptions()

- ## Method Details

  - ### getPackageName

    public String getPackageName()

  - ### getSimpleClassName

    public String getSimpleClassName()

  - ### getFullClassName

    public String getFullClassName()
    Возвращает полное имя генерируемого класса.
    Returns:

  - ### setFullClassName

    public void setFullClassName(String fullClassName)
    Устанавливает полное имя генерируемого класса
    Parameters:
      `fullClassName` -

  - ### getSuperclassName

    public String getSuperclassName()
    Возвращает имя наследуемого суперкласса
    Returns:

  - ### setSuperclassName

    public void setSuperclassName(String superclassName)
    Устанавливает имя наследуемого суперкласса
    Parameters:
      `superclassName` -

  - ### getDefaultImports

    public Set<String> getDefaultImports()
    Возвращает множество обязательных импортов.
    Returns:

  - ### setDefaultImports

    public void setDefaultImports(Set<String> defaultImports)
    Устанавливает множество обязательных импортов.
    Parameters:
      `defaultImports` -

  - ### setInterfaceNames

    public void setInterfaceNames(Set<String> interfaceNames)
    Устанавливает множество наследуемых интерфейсов
    Parameters:
      `interfaceNames` -

  - ### getInterfaceNames

    public Set<String> getInterfaceNames()
    Возвращает множество наследуемых интерфейсов
    Returns:

  - ### setDerivingInterfaceNames

    public void setDerivingInterfaceNames(Set<String> derivingInterfaceNames)
    Устанавливает множество интерфейсов, методы которых обязательно перегружаются
    Parameters:
      `derivingInterfaceNames` -

  - ### getDerivingInterfaceNames

    public Set<String> getDerivingInterfaceNames()
    Возвращает множество интерфейсов, методы которых обязательно перегружаются
    Returns:

  - ### getRawResourceData

    public String getRawResourceData()
    Сырые данные для ресурса (не java-класса).
    Returns:
      байты для файла.

  - ### setRawResourceData

    public void setRawResourceData(String rawResourceData)
    Сырые данные для ресурса (не java-класса).